//
// View.txt - another trivial program...
// Compile: javac View.java
// Run: have text.txt in current directory and 
//      java View text.txt
// It opens plain.txt and displays it.
// Author: Gaspar Sinai <gsinai@yudit.org> Tokyo 2002-02-04
//
import javax.swing.*;
import java.awt.*;
import java.io.*;

class View
{
  public static void main (String args[])
  {
    if (args.length ==0)
    {
      System.err.println ("usage: View filename");
      System.exit (0);
    }
    JFrame frame = new JFrame();
    try {
       frame.setTitle ("java " + System.getProperty("java.version"));
    }
    catch (Exception e) { }
    JTextArea textArea = new JTextArea();
    try {
      BufferedReader reader = new BufferedReader (
        new InputStreamReader 
            (new FileInputStream (new File (args[0])), "UTF8"));
      String str;
      while ((str=reader.readLine()) != null) {
         textArea.append (str);
         //textArea.append ("\u2029"); // PS
         //textArea.append ("\u2028"); // LS
         textArea.append ("\n");
      }
    }
    catch (IOException e) { }
    catch (Exception e) { 
      e.printStackTrace();
      System.exit (0);
    }
    frame.getContentPane().add (textArea);
    frame.pack();
    frame.setSize(300, 100);
    frame.show();
  }
} 
